//Bf2 Rank Mod Commands File
//Contains all the client command functions


#if defined bf2_cmds_included
  #endinput
#endif
#define bf2_cmds_included

//Public menu / say commands. Help motds etc..

public show_rankhelp(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE	

	new tempstring[100];
	new motd[2048];
	new Float:xpmult=get_pcvar_float(g_xp_multiplier)

	new kills

	format(motd,2048,"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>")
	format(tempstring,100,"Tabela Zabi</strong><br><br>")
	add(motd,2048,tempstring);

	for (new counter=0; counter<(MAX_RANKS-1); counter++)
	{
		kills=floatround(float(RANKXP[counter])*xpmult)
		format(tempstring,100,"%s - %d",RANKS[counter],kills)
		add(motd,2048,tempstring);
		add(motd,2048,"<br>");
	}

	format(tempstring,100,"<br><b>Specjalne Rangi</b><br><br>")
	add(motd,2048,tempstring);
	
	format(tempstring,100,"%s - Wymagania %s i 6 Odznak",RANKS[17],RANKS[7])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");
	
	format(tempstring,100,"%s - Wymagania %s i 12 Odznak",RANKS[18],RANKS[8])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");

	format(tempstring,100,"%s - Wymagania %s i 18 Odznak",RANKS[19],RANKS[15])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");

	format(tempstring,100,"%s - Wymagania %s",RANKS[16],RANKS[19])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");

	format(tempstring,100,"%s - Wymagania %s oraz Ogolny Ranking",RANKS[20],RANKS[16])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");

	add(motd,2048,"</font></body></html>");

	show_motd(id,motd,"Informacje o Graczu")

	Bf2menu(id)	

	return PLUGIN_CONTINUE
}

public show_server_stats(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE	

	new tempstring[100];
	new motd[2048];	
	new names[4][30];

	get_user_name(highestrankid,names[0],29)

	format(motd,2048,"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong>")
	format(tempstring,100,"Obecne Statystyki</strong><br><br>")
	add(motd,2048,tempstring);

	format(tempstring,100,"Najwyzsza Ranga - %s %s<br><br>",RANKS[highestrank],names[0])
	add(motd,2048,tempstring);

	format(tempstring,100,"<strong>Statystyki Serwera</strong><br><br>")
	add(motd,2048,tempstring);

	format(tempstring,100,"Najwyzsza Ranga - %s %s<br><br>",RANKS[highestrankserver],highestrankservername)
	add(motd,2048,tempstring);
	format(tempstring,100,"Najwiecej Zabic - %s %i<br><br>",mostkillsname,mostkills)
	add(motd,2048,tempstring);
	format(tempstring,100,"Najwiecej Zwyciestw - %s %i<br><br>",mostwinsname,mostwins)
	add(motd,2048,tempstring);
	add(motd,2048,"</font></body></html>");

	show_motd(id,motd,"Statystyki Serwera")

	Bf2menu(id)	

	return PLUGIN_CONTINUE


}

public show_badgehelp(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE
	
	new url[100]
	get_pcvar_string(g_help_url,url,99)

	if (equal(url,""))
	{
		format(configfile,199,"%s/bf2/badges1.html",configsdir)	
		show_motd(id, configfile)
	}
	else
	{
		format(configfile,199,"%s/badges1web.html",url)	
		show_motd(id, configfile)
	}

	Bf2menu(id)

	return PLUGIN_CONTINUE	
}

public show_badgehelp2(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE
	
	new url[100]
	get_pcvar_string(g_help_url,url,99)

	if (equal(url,""))
	{
		format(configfile,199,"%s/bf2/badges2.html",configsdir)	
		show_motd(id, configfile)
	}
	else
	{
		format(configfile,199,"%s/badges2web.html",url)	
		show_motd(id, configfile)
	}
	
	Bf2menu(id)	

	return PLUGIN_CONTINUE
}

public show_badgehelp3(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE
	
	new url[100]
	get_pcvar_string(g_help_url,url,99)

	if (equal(url,""))
	{
		format(configfile,199,"%s/bf2/badges3.html",configsdir)	
		show_motd(id, configfile)
	}
	else
	{
		format(configfile,199,"%s/badges3web.html",url)	
		show_motd(id, configfile)
	}
	
	Bf2menu(id)	

	return PLUGIN_CONTINUE
}

public cmd_say(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE	

	new Arg1[31]
	read_args(Arg1, 30)
	remove_quotes(Arg1)
    
	if (!((equal(Arg1, "/whois",6)) || (equal(Arg1, "/whostats",6))))
		return PLUGIN_CONTINUE

	if (equal(Arg1, "/whostats",6))
	{
    
		new player = cmd_target(id, Arg1[10], 0)
        
		if (!player)
		{
			client_print(id,print_chat, "[BF2]Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1[10])
			return PLUGIN_CONTINUE
		}


		display_stats(id,player)
		
		return PLUGIN_CONTINUE
	}

	new player = cmd_target(id, Arg1[7], 0)
        
	if (!player)
	{

		client_print(id,print_chat, "[BF2]Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1[7])
		return PLUGIN_CONTINUE
	}
	
	display_badges(id,player)
	
	return PLUGIN_CONTINUE
}

public display_badges(id,badgeid)
{
	new name[30];
	get_user_name(badgeid,name,29);
	
	new tempstring[100];
	new motd[2048];

	format(motd,2048,"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>")
	format(tempstring,100,"Statystyka Rang i Odznak dla gracza %s </strong></b>", name)
	add(motd,2048,tempstring);
	add(motd,2048,"<br><br>");
	format(tempstring,100,"Players Rank: %s",RANKS[g_PlayerRank[badgeid]])
	add(motd,2048,tempstring);
	add(motd,2048,"<br>");

	if (!get_pcvar_num(g_badges_active))
	{
		add(motd,2048,"</font></body></html>");
		show_motd(id,motd,"Player Info")
		
		return PLUGIN_CONTINUE;	
	}

	add(motd,2048,"Obecnie posiadane odznaki: <br>");

	for (new counter=0; counter<MAX_BADGES; counter++)
	{
		if(g_PlayerBadges[badgeid][counter]!=0)
		{
			format(tempstring,100,"&nbsp;-%s",BADGES[counter][g_PlayerBadges[badgeid][counter]])
			add(motd,2048,tempstring);
			format(tempstring,100,"&nbsp;-%s<br>",BADGEINFO[counter])
			add(motd,2048,tempstring);
		}
	}
	
	add(motd,2048,"</font></body></html>");

	show_motd(id,motd,"Informacje o Graczu")

	Bf2menu(id)
    	
 	return PLUGIN_CONTINUE	
	
	
	
}

public cmd_who(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE	

	new tempstring[100],players[32],num,tempname[30];
	new motd[2048];

	format(motd,204,"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>Kolejno wymienieni gracze</strong></b><br><br>")

	get_players(players,num);

	for (new counter=0; counter<num; counter++)
	{
		get_user_name(players[counter],tempname,29);
		format(tempstring,100,"Gracz %s - Ranga: %s<br>",tempname,RANKS[g_PlayerRank[players[counter]]])
		add(motd,2048,tempstring);

	}
	add(motd,2048,"</font></body></html>")
	
	show_motd(id,motd,"Lista Graczy");

	Bf2menu(id)
	
	return PLUGIN_CONTINUE

}

public cmd_help(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE
	
	new url[100]
	get_pcvar_string(g_help_url,url,99)

	if (equal(url,""))
	{
		format(configfile,199,"%s/bf2/help.html",configsdir)	
		show_motd(id, configfile)
	}
	else
	{
		format(configfile,199,"%s/helpweb.html",url)	
		show_motd(id, configfile)
	}

	Bf2menu(id)	

	return PLUGIN_CONTINUE

}

public show_stats(id)
{
	if (!get_pcvar_num(g_bf2_active))
		return PLUGIN_CONTINUE	

	display_stats(id,id)

	Bf2menu(id)
	
	return PLUGIN_CONTINUE

}

public display_stats(id,statsid)
{
	new tempstring[100];
	new motd[2048];
	new stats[8],bodyhits[8];
	new ranked=get_user_stats(statsid, stats, bodyhits)
	new tempname[30]
	get_user_name(statsid,tempname,29)

	format(motd,2048,"<html><body bgcolor=^"#474642^"><font size=^"2^" face=^"verdana^" color=^"FFFFFF^"><strong><b>%s Obecne Statystyki Broni - Aktualizowane na koncu rundy</strong></b><br><br>",tempname)

	format(tempstring,100,"Ogolne Zabicia - %d<br>",totalkills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Nozem - %d<br>",knifekills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Pistoletem - %d<br>",pistolkills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia M249 - %d<br>",parakills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Snajperkami - %d<br>",sniperkills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Karabinami - %d<br>",riflekills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Shotgunami - %d<br>",shotgunkills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia SMG - %d<br>",smgkills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolna Celnosc - %d procent<br>",accuracy[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolna ilosc podlozonych bomb - %d<br>",plants[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolna ilosc wybuchnietych bomb - %d<br>",explosions[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolna ilosc rozbrojen - %d<br>",defuses[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Ogolne Zabicia Granatami - %d<br>",grenadekills[statsid])
	add(motd,2048,tempstring);
	format(tempstring,100,"Obecna ranga gracza - %d<br>",ranked)
	add(motd,2048,tempstring);
	format(tempstring,100,"Zdobyte Medale: Zloty %d, Srebrny %d, Brazowy %d<br>",gold[statsid],silver[statsid],bronze[statsid])
	add(motd,2048,tempstring);

	add(motd,2048,"</font></body></html>")
	
	show_motd(id,motd,"Obecne Statystki Broni");

}

//Admin only commands below here


//Gives badge to specified player
public add_badge(id,level,cid)
{
	if (!cmd_access(id, level, cid, 4))
        return PLUGIN_HANDLED
 
	new Arg1[24]
	new Arg2[4]
	new Arg3[4]

	
	read_argv(1, Arg1, 23)
	read_argv(2, Arg2, 3)
	read_argv(3, Arg3, 3)

	new badge = str_to_num(Arg2)
	new level = str_to_num(Arg3)

	new player = cmd_target(id, Arg1, 0)
          
	if (!player || (level>3) || (level<0) || (badge>7) || (badge<0))
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany!, Lub bledna odznaka/poziom", Arg1)
			return PLUGIN_HANDLED
	} else {
			g_PlayerBadges[player][badge]=level;
			client_print(id,print_chat,"[BF2]%s odznaka zostala przyznana graczowi %s",BADGES[badge][level],Arg1)
			save_badges(player)
			DisplayHUD(player)
        }

	new adminauthid[35]
	new awardauthid[35]
	get_user_authid (id,adminauthid,34)
	get_user_authid (player,awardauthid,34)

	log_amx("[BF2-ADMIN]Admin %s przyznal odznake %s graczowi %s",adminauthid,BADGES[badge][level],awardauthid)
	
	return PLUGIN_HANDLED

}

//Gives kills to specified player
public add_kills(id,level,cid)
{
	if (!cmd_access(id, level, cid, 3))
        	return PLUGIN_HANDLED
 
     	new Arg1[24]
     	new Arg2[6]
    
     	read_argv(1, Arg1, 23)
     	read_argv(2, Arg2, 5)

     	new kills = str_to_num(Arg2)

	new player = cmd_target(id, Arg1, 0)
          
	if (!player)
        {
			console_print(id, "Przepraszamy, gracz %s nie moze zostac zlokalizowany!", Arg1)
			return PLUGIN_HANDLED
        } else {
			totalkills[player]+=kills
			client_print(id,print_chat,"[BF2]%d fragi zostaly przyznane dla gracza %s",kills,Arg1)
			save_badges(player)
			DisplayHUD(player)
        }

	new adminauthid[35]
	new awardauthid[35]
	get_user_authid (id,adminauthid,34)
	get_user_authid (player,awardauthid,34)

	log_amx("[BF2-ADMIN]Admin %s przyznal %i fragow dla gracza %s",adminauthid,kills,awardauthid)
	
	return PLUGIN_HANDLED

}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
